Go to the latest version of this document.

# ``twisted`.`names`.`dns`.`Record_A``

class documentation

`class Record_A(tputil.FancyEqMixin): (source)`

Constructor: `Record_A(address, ttl)`

Implements interfaces: `twisted.names.dns.IEncodableRecord`

View In Hierarchy

An IPv4 host address.

Method | `__hash__` | Undocumented
Method | `__init__` | No summary
Method | `__str__` | Undocumented
Method | `decode` | Reconstruct an object from data read from the given file object.
Method | `dottedQuad` | Undocumented
Method | `encode` | Write a representation of this object to the given file object.
Class Variable | `compareAttributes` | Undocumented
Instance Variable | `address` | The packed network-order representation of the IPv4 address associated with this record.
Instance Variable | `ttl` | The maximum number of seconds which this record should be cached.

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def __hash__(self): (source)

Undocumented

def __init__(self, address='0.0.0.0', ttl=None): (source)

Parameters
address:`bytes` or `str` | The IPv4 address associated with this record, in quad-dotted notation.
ttl | Undocumented

def __str__(self) -> `str`: (source)

Undocumented

def decode(self, strio, length=None): (source)
from `twisted.names.dns.IEncodable`

Reconstruct an object from data read from the given file object.

Parameters
strio:File-like object | A seekable buffer from which bytes may be read.
length:`int` or `None` | The number of bytes in this RDATA field. Most implementations can ignore this value. Only in the case of records similar to TXT where the total length is in no way encoded in the data is it necessary.

def dottedQuad(self): (source)

Undocumented

def encode(self, strio, compDict=None): (source)
from `twisted.names.dns.IEncodable`

Write a representation of this object to the given file object.

Parameters
strio:File-like object | The buffer to write to. It must have a `tell()` method.
compDict:`dict` of `bytes` to `int` r `None` | A mapping of names to byte offsets that have already been written to the buffer, which may be used for compression (see RFC 1035 section 4.1.4). When `None`, encode without compression.

compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

address: `bytes` = (source)

The packed network-order representation of the IPv4 address associated with this record.

ttl: `int` = (source)

The maximum number of seconds which this record should be cached.